cuebreakpoints(1)

NAME
cuebreakpoints - report track breakpoints from a CUE or TOC file

SYNOPSIS
cuebreakpoints [ { -i format | --input-format=format } { --append-gaps | --prepend-gaps | --split-gaps } ] [ file ... ]
cuebreakpoints -h | --help
cuebreakpoints -V | --version

DESCRIPTION
cuebreakpoints reports the track breakpoints found in CUE and TOC files, which are typically created by compact disc ripping software. The breakpoints are in a format usable by shnsplit (part of the shntool package).

Three approaches to track pregaps are available: append (to previous track), prepend (to succeeding track), and split (from both preceding and succeeding tracks). The split approach can result in up to twice as many breakpoints being reported as there are tracks on the disc.

The first track's pregap cannot be appended to the previous track, so it is prefixed to the track in both append and prepend modes. If you want the track without it, use the --split-gaps option.

If no filenames are specified, cuebreakpoints reads from standard input, and an input format option must be specified. If one or more filenames is provided, but the input format option is not specified, the input format will be guessed based on each file's suffix (e.g., .cue or .toc). This heuristic is case-insensitive.

OPTIONS

-h, --help
    displays a usage message and exits.

-i format, --input-format=format
    sets the expected format of the input file(s) to format, which must be either cue or toc.

--append-gaps
    appends pregaps to the end of the previous track. This is the default.

--prepend-gaps
    prefixes pregaps to the beginning of each subsequent track.

--split-gaps
    separates pregaps from both the preceding and succeeding tracks.

-V, --version
    displays version information and exits.

If more than one of --append-gaps, --prepend-gaps, and --split-gaps are specified, all except the last encountered are ignored.

EXIT STATUS
cuebreakpoints exits with status zero if it successfully generates a report for each input file, and nonzero if there were problems.

AUTHOR
Cuetools was written by Svend Sorensen. Branden Robinson contributed fixes and enhancements to the utilities and documentation.

SEE ALSO
cueconvert(1), cueprint(1)